Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

ghostscript-mini-devel-9.15-6.1 RPM for ppc

From OpenSuSE 13.2 updates for ppc

Name: ghostscript-mini-devel Distribution: openSUSE 13.2
Version: 9.15 Vendor: openSUSE
Release: 6.1 Build date: Thu Oct 20 16:24:14 2016
Group: Development/Libraries/C and C++ Build host: build92
Size: 38566 Source RPM: ghostscript-mini-9.15-6.1.src.rpm
Packager: http://bugs.opensuse.org
Url: http://www.ghostscript.com/
Summary: Development files for Minimal Ghostscript
This package contains the development files for Minimal Ghostscript.

Provides

Requires

License

AGPL-3.0

Changelog

* Wed Oct 19 2016 jsmeix@suse.de
  - CVE-2016-8602.patch fixes a NULL dereference in .sethalftone5
    see http://bugs.ghostscript.com/show_bug.cgi?id=697203
    (bsc#1004237).
  - Using the fixes for Ghostscript 9.15 from SLE12 therein dated
    "Mon Oct 10 00:24:11 UTC 2016 - sflees@suse.de":
    Fix multiple -dsafer realated CVE's (bsc#1001951)
    * CVE-2013-5653.patch
    * CVE-2016-7978.patch
    * CVE-2016-7979.patch
* Wed Jul 29 2015 jsmeix@suse.de
  - CVE-2015-3228.patch fixes out of bound read/write cause
    by integer overflow in gsmalloc.c (boo#939342).
* Sun Sep 28 2014 ro@suse.de
  - readd ppc64le patch ppc64le-support.patch (adapted for lcms2 in
    Ghostscript version 9.15): the tests in lcms2.h cannot work
    without "include <endian.h>" that is now added and
    regardless that lcms is not used by default (unless the
    configure option --with-lcms is set), lcms is again fixed
    (see http://bugs.ghostscript.com/show_bug.cgi?id=695544).
* Tue Sep 23 2014 jsmeix@suse.de
  - Version upgrade to 9.15. Primarily a maintenance release.
    There are no recorded incompatible changes (as of this writing).
    Highlights in this release include:
    * Ghostscript now supports the PDF security handler revision 6.
    * The pdfwrite and ps2write (and related) devices can now be
      forced to "flatten" glyphs into "basic" marking operations
      (rather than writing fonts to the output), by giving
      the -dNoOutputFonts command line option (defaults to "false").
    * PostScript programs can now use get_params or get_param to
      determine if a page contains color markings by reading the
      pageneutralcolor state from the device (so whether the page
      is "color" or "mono"). Note that this is only accurate when in
      clist mode, so -dMaxBitmap=0 and -dGrayDetection=true should
      both be used.
    * The pdfwrite device now supports Link annotations with GoTo
      and GoToR actions.
    * The pdfwrite device now supports BMC/BDC/EMC pdfmarks
    * Regarding the new color management for the pdfwrite device
      introduced in the previous release, the proscription on using
      the new color management when producing PDF/A-1 compliant files
      is now lifted. To reiterate, also, with the new color
      management implementation, using the UseCIEColor option is
      strongly discouraged. For further information on the new
      pdfwrite color management, see in Ps2pdf.htm the
      "Color Conversion and Management" section.
    * Plus the usual round of bug fixes, compatibility changes,
      and incremental improvements.
    For details see the News.htm and History9.htm files.
* Wed Sep 17 2014 jsmeix@suse.de
  - Version upgrade to 9.15rc2 (second release candidate for 9.15).
    Ghostscript upstream QA highlighted a couple of issues
    that they felt warranted a fresh release candidate.
    For details see the History9.htm file.
* Tue Sep 09 2014 jsmeix@suse.de
  - Version upgrade to 9.15rc1 (first release candidate for 9.15).
    For details see the News.htm and History9.htm files.
  - ppc64le-support.patch is no longer needed because
    it is fixed in the upstream sources.
  - Removed trailing whitespaces in spec file and changes file.
* Thu Mar 27 2014 jsmeix@suse.de
  - Version upgrade to 9.14. Primarily a maintenance release.
    Highlights in this release include (excerpt):
    * pdfwrite now uses the same color management engine as
      Ghostscript rendering devices (by default LCMS2). For
      the duration of this release a new switch -dPDFUseOldCMS
      is available which will restore the old color management.
      See: "Color Conversion and Management" in Ps2pdf.htm
      Due to constraints of the PDF/A-1 specification, the new color
      management does not yet apply when producing PDF/A files.
    * A new device 'eps2write' has been added which allows for the
      creation of EPS files using the ps2write device instead of
      the deprecated and removed pswrite device. The epswrite device
      is now also deprecated and will be removed in a future release.
    * Ghostscript has a new "pwgraster" output device for PWG Raster
      output.
    * The CUPS device now has improved support for PPD-less printing.
    For details see the News.htm and History9.htm files.
* Fri Dec 13 2013 uweigand@de.ibm.com
  - ppc64le-support.patch from IBM fixes endianness
    in lcms (the Little-CMS library) to support the new
    architecture ppc64le (IBM Power PC Little Endian architecture)
    because ppc64 is big-endian and ppc64le is little-endian
    and lcms has a hard-coded check that assumes PowerPC
    is always big-endian which is incorrect on ppc64le.
    The fix is already in the main Little-CMS repository
    by this Git commit
    https://github.com/mm2/Little-CMS/commit/b4f5c91a2c1582bd284f0d0f49cb43e2c2235a79
    (There are some cosmetic changes in the upstream patch.)
    It is not yet in the imported copy in Ghostscript.
    IBM will work with upstream to get the fix imported too.
* Tue Sep 03 2013 jsmeix@suse.de
  - Version upgrade to 9.10. Primarily a maintenance release.
    Highlights in this release include:
    * LittleCMS2 and libpng have both been updated to the
      latest versions.
    * The URW Postscript font set has been updated to the
      latest version, fixing many compatibility problems
      with the Adobe fonts.
    * The CUPS filters gstoraster and gstopxl have been
      removed from Ghostscript. Those filters are now provided by
      cups-filters (a free software package hosted by OpenPrinting)
      that contains all CUPS filters needed by CUPS under Linux
      (see also the openSUSE issue bnc#735404 comment#44 at
      https://bugzilla.novell.com/show_bug.cgi?id=735404#c44).
    For details see the News.htm and History9.htm files.
  - fix-undefined-operation.patch is no longer needed because
    it is fixed in the upstream sources.
* Thu Aug 29 2013 jsmeix@suse.de
  - Version upgrade to 9.10rc1 (release candidate for the 9.10 version).
    For details see the News.htm and History9.htm files.
  - Prepare spec files to build both releases and release candidates
    easily in the future by using special different version strings.
  - fix-undefined-operation.patch fixes
    http://bugs.ghostscript.com/show_bug.cgi?id=694546
  - Removed BuildRequires for liblcms-devel because it is not needed
    when we build Ghostscript that works in compliance with upstream
    (see https://bugzilla.novell.com/show_bug.cgi?id=828751#c5).
* Wed Mar 27 2013 mmeister@suse.com
  - Added url as source.
    Please see http://en.opensuse.org/SourceUrls
* Tue Feb 19 2013 jsmeix@suse.de
  - Version upgrade to 9.07.
    * As of this release (9.07), Ghostscript is distributed
      under the GNU Affero General Public License (AGPL).
    * Ghostscript has been extended to support file sizes >4Gb
      in particular reading and writing PDF files.
    * Color management enhancements. Full details of the color
      management features can be found in: GS9_Color_Management.pdf
    * The pdfwrite devices now supports linearized (or optimized
      for fast web view) output directly ("-dFastWebView").
    * With the addition of linearisation to pdfwrite, pdfopt.ps
      has become redundant. Since it is difficult to maintain,
      has a number of bugs, and is believed not to work properly
      anyway, it is removed. Accordingly the pdfopt shell script
      that used pdfopt.ps is also removed.
* Thu Jan 03 2013 jsmeix@suse.de
  - Provide libijs (that is not done via "configure --with-ijs")
    because libijs is needed by the pdftoijs filter in the
    cups-filters package (see the README file in cups-filters).
* Thu Sep 27 2012 mmeister@suse.com
  - Version upgrade to 9.06. Mainly a bugfix release.
    * pdfwrite announcements:
      pdfwrite now supports the creation of PDF/A-2 files.
      For further details see the NEWS file.
    * removed moribund dumphint tool, see History9.htm and
      http://bugs.ghostscript.com/show_bug.cgi?id=693223
* Mon Sep 24 2012 idonmez@suse.com
  - "export SUSE_ASNEEDED=0" disables -Wl,--as-needed linker flags,
    see http://bugs.ghostscript.com/show_bug.cgi?id=693100
* Thu May 10 2012 jsmeix@suse.de
  - Require Ghostscript's font packages because the
    Ghostscript package provides the "Fontmap" file
    /usr/share/ghostscript/<version>/Resource/Init/Fontmap.GS
    which lists Ghostscript's fonts but the fonts itself
    are provided in the separated packages ghostscript-fonts-std
    and ghostscript-fonts-other so that a RPM requirement
    is needed to make sure that Ghostscript has its fonts.
  - Extract the catalog of devices which are actually built-in
    in exactly this Ghostscript and provide it as catalog.devices
    in the Ghostscript package.
* Tue Apr 24 2012 jsmeix@suse.de
  - Install documentation which is not installed by default
    (LICENSE doc/AUTHORS doc/COPYING doc/thirdparty.htm
    doc/WhatIsGS.htm doc/GS9_Color_Management.pdf
    doc/gs-vms.hlp doc/Ps2ps2.htm).
  - Add a link from SUSE's usual documentation directory
    (/usr/share/doc/packages/ghostscript/) to Ghostscript's
    documentation directory (/usr/share/ghostscript/9.05/doc/)
    because "configure --docdir=..." does not work.
  - Let ghostscript-mini "Conflicts: ghostscript-library".
* Wed Mar 28 2012 jsmeix@suse.de
  - Require only the basic fonts for Ghostscript
    (package ghostscript-fonts-std) but do not recommend
    optional fonts (package ghostscript-fonts-other).
* Fri Mar 23 2012 jsmeix@suse.de
  - Cleaned up BuildRequires.
  - Explicitly specify configure --with-* versus --without-*
    in ghostscript.spec versus ghostscript-mini.spec
    to make the differences clear.
* Tue Mar 20 2012 jsmeix@suse.de
  - Initial ghostscript-mini package.

Files

/usr/bin/ijs-config
/usr/include/ghostscript
/usr/include/ghostscript/gdevdsp.h
/usr/include/ghostscript/iapi.h
/usr/include/ghostscript/ierrors.h
/usr/include/ijs
/usr/include/ijs/ijs.h
/usr/include/ijs/ijs_client.h
/usr/include/ijs/ijs_server.h
/usr/lib/libgs.so
/usr/lib/libijs.so
/usr/lib/pkgconfig/ijs.pc


Generated by rpm2html 1.8.1

Fabrice Bellet, Thu Aug 10 04:19:27 2017